package org.ghisler.tcpacker;

interface IRemoteUnpackCallback {
	void onGetFileCount(int fileCount);
	int onUnpackProgress(long part,long total);
	String onWantExtract(int index, String fullPath, String diskFilePath, boolean isDir, boolean isEncrypted, long size, long filetime);
	String onGetPassword();
	int onCreateDir(String name);
	boolean requestReadPermission(String fullPath);
}

